# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.644   -> 1.645  
#	drivers/usb/host/ohci-q.c	1.13    -> 1.14   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/15	greg@kroah.com	1.645
# USB: fix flag name in ohci driver due to previous patch.
# --------------------------------------------
#
diff -Nru a/drivers/usb/host/ohci-q.c b/drivers/usb/host/ohci-q.c
--- a/drivers/usb/host/ohci-q.c	Mon Jul 15 18:04:58 2002
+++ b/drivers/usb/host/ohci-q.c	Mon Jul 15 18:04:58 2002
@@ -658,7 +658,7 @@
 				data += 4096; data_len -= 4096; cnt++;
 			}
 			/* maybe avoid ED halt on final TD short read */
-			if (!(urb->transfer_flags & USB_DISABLE_SPD))
+			if (!(urb->transfer_flags & URB_SHORT_NOT_OK))
 				info |= TD_R;
 			td_fill (ohci, info | (cnt ? TD_T_TOGGLE : toggle),
 				data, data_len, urb, cnt);
